@echo off

if -%1-==-- echo "USAGE: gdcli_gec23.bat <ProjectName> <SliceName>" & exit /b
if -%2-==-- echo "USAGE: gdcli_gec23.bat <ProjectName> <SliceName>" & exit /b

set SLICENAME=%2
set PROJECTNAME=%1

echo Change to GDCLI Directory
cd \GDCLI
echo Performing GDCLI operation ^for SLICE=%SLICENAME% PROJECT=%PROJECTNAME%

echo Running List nodes command
gdcli listnodes -s %SLICENAME% -r %PROJECTNAME%

echo Installing iperf on all nodes
gdcli run -s %SLICENAME% -r %PROJECTNAME% -n "node-0,node-1" -c "sudo apt-get -y update;sudo apt-get -y install iperf"

echo Starting iperf server in daemon ^mode on node-0
gdcli run -s %SLICENAME% -r %PROJECTNAME% -n "node-0" -c "iperf -s -D> /dev/null 2>&1"

echo Starting iperf client on node-1 
echo Connecting to node-0 blasting traffic ^at 10Gb/s ^for 30 seconds
gdcli run -s %SLICENAME% -r %PROJECTNAME% -n "node-1" -c "iperf -t 30 -c node-0 -b 10000M"

echo Fetch graph ^for data collected on link ^at interface on node-0
gdcli getpng -s %SLICENAME% -r %PROJECTNAME%  -g linkbytes -l link-0 -n node-0 -o %userprofile%\Desktop\mygraphs

echo Opening Folder to view graphs just downloaded
cd %userprofile%\Desktop\mygraphs
explorer .
